
uniform sampler2D tex1;

void main() {
	vec2 xy = gl_TexCoord[0].xy;
	xy *= 1.0;
	vec4 col = texture2D(tex1, xy);

	col.rgb = vec3(0.5+0.5*sin(xy.x*3.14159));

	col.a = 1.0;
	if (col.r+col.g+col.b == 0.0) col.a = 0.0;


	gl_FragColor = col;
}